Bug 947455 - Review Request: perl-Module-Build-Tiny - A tiny replacement for Module::Build
Summary: Review Request: perl-Module-Build-Tiny - A tiny replacement for Module::Build
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 947450 947454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 13:11 UTC by Paul Howarth
Modified: 2013-05-03 06:51 UTC (History)
4 users (show)

Fixed In Version: perl-Module-Build-Tiny-0.018-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-03 06:51:24 UTC
Type: ---
paul: fedora-review?
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2013-04-02 13:11:29 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Module-Build-Tiny/branches/fedora/perl-Module-Build-Tiny.spec

SRPM URL: http://www.city-fan.org/~paul/extras/perl-Module-Build-Tiny/perl-Module-Build-Tiny-0.013-2.fc20.src.rpm

Description:
Many Perl distributions use a Build.PL file instead of a Makefile.PL file to
drive distribution configuration, build, test and installation. Traditionally,
Build.PL uses Module::Build as the underlying build system. This module
provides a simple, lightweight, drop-in replacement.

Whereas Module::Build has over 6,700 lines of code; this module has less than
70, yet supports the features needed by most pure-Perl distributions.

Fedora Account System Username: pghmcfc

Comment 1 Paul Howarth 2013-04-05 09:04:33 UTC
Upstream update:

http://www.city-fan.org/~paul/extras/perl-Module-Build-Tiny/perl-Module-Build-Tiny-0.014-1.fc20.src.rpm

Spec URL unchanged.

Comment 2 Paul Howarth 2013-04-15 20:57:57 UTC
Upstream update:

http://www.city-fan.org/~paul/extras/perl-Module-Build-Tiny/perl-Module-Build-Tiny-0.017-1.fc20.src.rpm

Spec URL unchanged.

No longer depends on perl-ExtUtils-BuildRC.

Comment 3 Emmanuel Seyman 2013-04-20 21:33:47 UTC
FYI, new versions of the Starman module depend on Module::Build::Tiny.

Comment 4 Paul Howarth 2013-04-21 10:01:43 UTC
As does the current version of Data::Section::Simple, which is what led me to packaging this.

Comment 5 Petr Šabata 2013-04-23 14:36:16 UTC
Missing BRs:
- perl(ExtUtils::Config) [>= 0.003], lib/Module/Build/Tiny.pm:11

Given your packaging style, you can drop perl(File::Basename) and perl(File::Find) BRs.

perl(IO::File) dual-lives on CPAN but not in Fedora (yet).  I'm not sure how you handle this case...

perl(File::ShareDir) has been available since 2008 (in Fedora at least).  That TODO on line 1 in a new package is a bit weird :)

No other issues.

Comment 6 Paul Howarth 2013-04-23 14:53:44 UTC
(In reply to comment #5)
> Missing BRs:
> - perl(ExtUtils::Config) [>= 0.003], lib/Module/Build/Tiny.pm:11

Added in -2

> Given your packaging style, you can drop perl(File::Basename) and
> perl(File::Find) BRs.

Removed in -2

> perl(IO::File) dual-lives on CPAN but not in Fedora (yet).  I'm not sure how
> you handle this case...

Left in, on the assumption that it will probably be dual-lived in Fedora at some point

> perl(File::ShareDir) has been available since 2008 (in Fedora at least). 
> That TODO on line 1 in a new package is a bit weird :)

That's a hangover from my local build of the package, where I don't have File::ShareDir for all supported target distributions (at least not yet)

New SRPM: http://www.city-fan.org/~paul/extras/perl-Module-Build-Tiny/perl-Module-Build-Tiny-0.017-2.fc20.src.rpm

Spec URL unchanged.

Comment 7 Petr Šabata 2013-04-23 15:01:20 UTC
Ok, looks good now.
Approving.

Comment 8 Paul Howarth 2013-04-23 15:21:41 UTC
New Package SCM Request
=======================
Package Name: perl-Module-Build-Tiny
Short Description: A tiny replacement for Module::Build
Owners: pghmcfc
Branches: f17 f18 f19
InitialCC: perl-sig

Comment 9 Gwyn Ciesla 2013-04-23 15:36:31 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-04-23 18:20:22 UTC
perl-Module-Build-Tiny-0.017-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Module-Build-Tiny-0.017-2.fc19

Comment 11 Fedora Update System 2013-04-23 18:20:42 UTC
perl-Module-Build-Tiny-0.017-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Module-Build-Tiny-0.017-2.fc18

Comment 12 Fedora Update System 2013-04-23 18:20:55 UTC
perl-Module-Build-Tiny-0.017-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Module-Build-Tiny-0.017-2.fc17

Comment 13 Paul Howarth 2013-04-23 19:35:15 UTC
(In reply to comment #3)
> FYI, new versions of the Starman module depend on Module::Build::Tiny.

M::B::T is now built for all current Fedora releases, with a buildroot override in place for F-19 if you want to do a build there.

Comment 14 Fedora Update System 2013-04-30 04:37:05 UTC
perl-Module-Build-Tiny-0.018-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-05-03 01:54:41 UTC
perl-Module-Build-Tiny-0.017-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2013-05-03 01:57:13 UTC
perl-Module-Build-Tiny-0.017-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.